Bug 1396279 - [abrt] backintime-common: snapshots.py:1754:_free_space:IndexError: list index out of range
Summary: [abrt] backintime-common: snapshots.py:1754:_free_space:IndexError: list inde...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: backintime
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: hannes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:faf38ee0818ed8575274eec58da...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-17 21:03 UTC by Emmanuel Pacaud
Modified: 2017-04-10 01:50 UTC (History)
2 users (show)

Fixed In Version: backintime-1.1.18-1.fc26 backintime-1.1.18-1.fc25 backintime-1.1.18-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-06 13:43:45 UTC


Attachments (Terms of Use)
File: backtrace (1.24 KB, text/plain)
2016-11-17 21:03 UTC, Emmanuel Pacaud
no flags Details
File: environ (368 bytes, text/plain)
2016-11-17 21:03 UTC, Emmanuel Pacaud
no flags Details

Description Emmanuel Pacaud 2016-11-17 21:03:48 UTC
Version-Release number of selected component:
backintime-common-1.1.12-2.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        python3 /usr/share/backintime/common/backintime.py backup-job
executable:     /usr/share/backintime/common/backintime.py
kernel:         4.8.1-1.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            14316

Truncated backtrace:
snapshots.py:1754:_free_space:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/share/backintime/common/backintime.py", line 865, in <module>
    start_app()
  File "/usr/share/backintime/common/backintime.py", line 450, in start_app
    args.func(args)
  File "/usr/share/backintime/common/backintime.py", line 634, in backupJob
    backup(args, False)
  File "/usr/share/backintime/common/backintime.py", line 626, in backup
    ret = take_snapshot(cfg, force)
  File "/usr/share/backintime/common/backintime.py", line 70, in take_snapshot
    ret = snapshots.Snapshots( cfg ).take_snapshot( force )
  File "/usr/share/backintime/common/snapshots.py", line 1059, in take_snapshot
    self._free_space( now )
  File "/usr/share/backintime/common/snapshots.py", line 1754, in _free_space
    if last_snapshot is not snapshots[-1]:
IndexError: list index out of range

Local variables in innermost frame:
min_free_space: 1024
last_snapshot: '20161103-120004-197'
keep_one_per_month: 12
self: <snapshots.Snapshots object at 0x7f529f9b0550>
keep_all: 2
min_free_inodes: 2
smart_remove: True
keep_one_per_day: 7
now: datetime.datetime(2016, 11, 3, 12, 0, 4, 501439)
snapshots: []
old_backup_id: '20141101-000000-387'
keep_one_per_week: 4

Comment 1 Emmanuel Pacaud 2016-11-17 21:03:54 UTC
Created attachment 1221634 [details]
File: backtrace

Comment 2 Emmanuel Pacaud 2016-11-17 21:03:57 UTC
Created attachment 1221635 [details]
File: environ

Comment 3 Raphael Groner 2016-11-18 09:04:56 UTC
Can you reproduce this crash? What did you do to get the backtrace?

> Local variables in innermost frame:> snapshots: []

Maybe you've manually deleted all of the snapshots from filesystem while backintime was running? Please use the GUI to remove obsolete snapshots.

Comment 4 Emmanuel Pacaud 2016-11-21 08:32:11 UTC
(In reply to Raphael Groner from comment #3)
> Can you reproduce this crash?

No.

> What did you do to get the backtrace?

It is an ABRT report of a crash that probably happened during the automatic backup.
 
> > Local variables in innermost frame:
> …
> > snapshots: []
> 
> Maybe you've manually deleted all of the snapshots from filesystem while
> backintime was running?

I didn't.

Comment 5 Fedora Update System 2017-03-31 21:02:31 UTC
backintime-1.1.18-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1941a828be

Comment 6 Fedora Update System 2017-03-31 21:02:39 UTC
backintime-1.1.18-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f32fbc4dda

Comment 7 Fedora Update System 2017-03-31 21:02:44 UTC
backintime-1.1.18-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a2fb994f60

Comment 8 Fedora Update System 2017-04-01 23:23:02 UTC
backintime-1.1.18-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1941a828be

Comment 9 Fedora Update System 2017-04-01 23:25:45 UTC
backintime-1.1.18-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f32fbc4dda

Comment 10 Fedora Update System 2017-04-02 00:52:18 UTC
backintime-1.1.18-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a2fb994f60

Comment 11 Fedora Update System 2017-04-06 13:43:45 UTC
backintime-1.1.18-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-04-09 21:51:22 UTC
backintime-1.1.18-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-04-10 01:50:31 UTC
backintime-1.1.18-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.